"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateEventResponseDto = exports.createEventResponseSchema = exports.CreateEventDto = exports.createEventSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const event_dto_1 = require("./event.dto");
exports.createEventSchema = event_dto_1.eventSchema.pick({
    name: true,
    date: true,
    location: true,
    folderId: true,
    tagAssistedId: true,
    tagConfirmedId: true,
    supraEventId: true,
});
class CreateEventDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createEventSchema) {
}
exports.CreateEventDto = CreateEventDto;
exports.createEventResponseSchema = event_dto_1.eventSchema;
class CreateEventResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createEventResponseSchema) {
}
exports.CreateEventResponseDto = CreateEventResponseDto;
//# sourceMappingURL=create-event.dto.js.map