"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetByIdEventResponseDto = exports.getByIdEventResponseSchema = void 0;
const event_folder_dto_1 = require("../../event-folder/dto/event-folder.dto");
const event_dto_1 = require("./event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.getByIdEventResponseSchema = event_dto_1.eventSchema.merge(zod_1.default.object({
    folder: event_folder_dto_1.eventFolderSchema.nullable(),
}));
class GetByIdEventResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getByIdEventResponseSchema) {
}
exports.GetByIdEventResponseDto = GetByIdEventResponseDto;
//# sourceMappingURL=get-by-id-event.dto.js.map