"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateEventResponseDto = exports.updateEventResponseSchema = exports.UpdateEventDto = exports.updateEventSchema = void 0;
const event_dto_1 = require("./event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
exports.updateEventSchema = event_dto_1.eventSchema.pick({
    name: true,
    folderId: true,
    date: true,
    location: true,
    supraEventId: true,
    tagAssistedId: true,
    tagConfirmedId: true,
});
class UpdateEventDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateEventSchema) {
}
exports.UpdateEventDto = UpdateEventDto;
exports.updateEventResponseSchema = event_dto_1.eventSchema;
class UpdateEventResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateEventResponseSchema) {
}
exports.UpdateEventResponseDto = UpdateEventResponseDto;
//# sourceMappingURL=update-event.dto.js.map